##########################################################################
# thin_to_lines.py
# or "09 Create Scarp Lines from Scarp Polygons" tool in the CCM Flow toolbox
#
# By Michael Bunn, Ben Leshchinsky, and Michael Olsen
# Oregon State University
# Last Updated: 07/17/2018
#
# Creation of this tool has been supported by Oregon Department of
# Transportation research project SPR 786 and
# United States Forest Service grant number 17-CS-11015600-008
#
# Direct questions to ben.leshchinsky@oregonstate.edu
##########################################################################

# Import arcpy module
import arcpy
from arcpy import env

inMXD = arcpy.GetParameterAsText(0)
DFname = arcpy.GetParameterAsText(1)
if DFname == '#' or not DFname:
	DFname = "Layers"
	df_mess = "KMZ will be produced from data frame 'Layers'"
	arcpy.AddMessage(df_mess)

outKMZ = inMXD.replace(".mxd",".kmz")

arcpy.MapToKML_conversion(inMXD, "Layers", outKMZ, "1")